"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Scroller subclass:#MiniScroller
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-Interactors'
!

MiniScroller comment:'
COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

$Header: /cvs/stx/stx/libwidg/MiniScroller.st,v 1.3 1995-05-03 00:36:25 claus Exp $
'!

!MiniScroller class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
"
$Header: /cvs/stx/stx/libwidg/MiniScroller.st,v 1.3 1995-05-03 00:36:25 claus Exp $
"
!

documentation
"
    like a scroller, but taking less screen space
"
! !

!MiniScroller methodsFor:'initialization'!

computeInitialExtent
    "make my width very small"

    |w h mm|

    h := self class defaultExtent y.
    mm := (thumbLevel ~~ 0) ifTrue:[2.5] ifFalse:[2.0].
    w := (device horizontalPixelPerMillimeter asFloat * mm) rounded.
    self extent:w @ h.
!

initStyle
    |style lvl|

    super initStyle.
    style := StyleSheet name.
    style == #iris ifTrue:[
	tallyLevel := 0.
	tallyMarks := 0.
	thumbEdgeStyle := nil.
	thumbLevel := 2.
    ].
    ((style ~~ #normal) and:[style ~~ #mswindows]) ifTrue:[
	style == #st80 ifTrue:[
	    lvl := 1.
	] ifFalse:[
	    lvl := -1.
	].
	self level:lvl.
	self borderWidth:0
    ].
    shadowForm := lightForm := nil.
    fixThumbHeight := false
! !
